<!DOCTYPE html>
<html>

<head>

	<meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
	<title>Log in</title>

</head>

<body>
	<h1>Welcome!<br>Before you access this website anyh further, you need to log in first.</h1>
	<h2>Log in</h2>

	<form method="post">

		{% csrf_token %}
		Username<br>
		<input type="text" name="username" placeholder="Username" required="True"><br>
		Password:<br>
		<input type="password" name="password" required="True"><br><br>
		<input type="submit" value="Log in">

	</form>
	
	{% if error %}
		<p>{{ error }}</p>
	{% endif %}

</body>

</html>